%define glib2_version 2.6.0
%define pango_version 1.8.0
%define gtk2_version 2.6.0
%define libgnomeui_version 2.9.0
%define libbonobo_version 2.2.0
%define libbonoboui_version 2.2.0
%define gnome_vfs2_version 2.0.0
%define bonobo_activation_version 1.0.0
%define libgnomecanvas_version 2.0.0
%define libgnomeprint22_version 2.2.0
%define libgnomeprintui22_version 2.2.0
%define desktop_file_utils_version 0.2.90

%define po_package glade-2.0

Summary:        A GTK+ GUI builder.
Name:           glade2
Version:        2.12.1
Release: 	6%{?dist}
License:        GPL
URL:            http://glade.gnome.org/
Source:         http://ftp.gnome.org/pub/GNOME/sources/glade/2.6/glade-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
Group:          Development/Tools

BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: pango-devel >= %{pango_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: libgnomeui-devel >= %{libgnomeui_version}
BuildRequires: libbonobo-devel >= %{libbonobo_version}
BuildRequires: libbonoboui-devel >= %{libbonoboui_version}
BuildRequires: gnome-vfs2-devel >= %{gnome_vfs2_version}
BuildRequires: bonobo-activation-devel >= %{bonobo_activation_version}
BuildRequires: libgnomecanvas-devel >= %{libgnomecanvas_version}
BuildRequires: libgnomeprint22-devel >= %{libgnomeprint22_version}
BuildRequires: libgnomeprintui22-devel >= %{libgnomeprintui22_version}
BuildRequires: desktop-file-utils >= %{desktop_file_utils_version}
BuildRequires: scrollkeeper
BuildRequires: gettext
BuildRequires: perl-XML-Parser

%description
Glade is a free user interface builder for GTK+ and the GNOME GUI
desktop. Glade can produce C source code. Support for C++, Ada95,
Python, and Perl is also available, via external tools which process
the XML interface description files output by GLADE.

The glade2 package contains a version of Glade for GTK+ 2.0.

%prep
%setup -q -n glade-%{version}

%build
%configure --disable-gnome-db 
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

desktop-file-install --vendor gnome --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-category X-Red-Hat-Base                             \
  $RPM_BUILD_ROOT%{_datadir}/applications/*

rm -rf $RPM_BUILD_ROOT/var/scrollkeeper

%find_lang %po_package

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{po_package}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README NEWS TODO
%{_datadir}/glade-2
%{_datadir}/gnome/help/glade-2
%{_datadir}/omf/glade-2
%{_datadir}/applications/gnome-glade-2.desktop
%{_datadir}/pixmaps/*
%{_bindir}/*

%changelog
* Mon Nov  6 2006 Matthias Clasen <mclasen@redhat.com> - 2.12.1-6
- Fix BuildRequires (#214259)
 
* Fri Sep  8 2006 Matthias Clasen <mclasen@redhat.com> - 2.12.1-5
- Fix directory ownership issues
- Add missing BuildRequires

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2.12.1-4.1
- rebuild

* Fri Jun  9 2006 Matthias Clasen <mclasen@redhat.com> - 2.12.1-4
- Add missing  BuildRequires

* Thu Jun  1 2006 Matthias Clasen <mclasen@redhat.com> - 2.12.1-3
- Rebuild

* Sat Feb 11 2006 Matthias Clasen <mclasen@redhat.com> - 2.12.1-2
- Remove requires for gail-devel that has been unnecessary
  since 2002

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 2.12.1-1.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 2.12.1-1.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Oct 12 2005 Matthias Clasen <mclasen@redhat.com> - 2.12.1-1
- Update to 2.12.1

* Thu Sep 29 2005 Matthias Clasen <mclasen@redhat.com> - 2.12.0-1
- Update to 2.12.0

* Tue Aug 16 2005 Matthias Clasen <mclasen@redhat.com> 
- Rebuilt

* Thu Apr 21 2005 Matthias Clasen <mclasen@redhat.com> - 2.10.0-1
- Update to 2.10.0

* Wed Mar  2 2005 Matthias Clasen <mclasen@redhat.com> - 2.9.0-2
- Rebuild with gcc4

* Fri Feb  4 2005 Matthias Clasen <mclasen@redhat.com> - 2.9.0-1
- Update to 2.9.0

* Mon Jan 10 2005 Matthias Clasen <mclasen@redhat.com> - 2.6.8-1
- Update to 2.6.8

* Mon Jun 21 2004 Matthias Clasen <mclasen@redhat.com> - 2.6.0-1
- Update to 2.6.0

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Apr  2 2004 Mark McLoughlin <markmc@redhat.com> 2.5.0-1
- Update to 2.5.0

* Fri Mar 12 2004 Alex Larsson <alexl@redhat.com> 2.0.1-1
- update to 2.0.1

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jul 30 2003 Havoc Pennington <hp@redhat.com> 2.0.0-2
- rebuild

* Mon Jul  7 2003 Havoc Pennington <hp@redhat.com> 2.0.0-1
- 2.0.0
- remove "stockfix" patch now upstream

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 14 2003 Havoc Pennington <hp@redhat.com> 1.1.3-3
- no buildreq Xft

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Dec  9 2002 Havoc Pennington <hp@redhat.com>
- 1.1.3

* Wed Aug 14 2002 Havoc Pennington <hp@redhat.com>
- require gail-devel #67084

* Thu Aug  8 2002 Havoc Pennington <hp@redhat.com>
- move from CVS snap to final release

* Tue Jun 25 2002 Owen Taylor <otaylor@redhat.com>
- Fix missing po files

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- 1.1.0.90 cvs snap
- use desktop-file-install

* Thu Jun 13 2002 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in different environment

* Thu Jun 13 2002 Nalin Dahyabhai <nalin@redhat.com>
- fix a scrollkeeper validation bug

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Thu May 23 2002 Havoc Pennington <hp@redhat.com>
- move to glade 2, based on glade 1 specfile
